!set title=Casilla vacía
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
language=en
author=XIAO Gang
email=xiao@unice.fr

ansorder=r,r,r,r
varcnt=47
prevarcnt=46
postvarcnt=0
replycnt=4
choicecnt=0
conditioncnt=0
feedbackcnt=0
format=html

val1=$imagedir
val2=$confparm1
val3=$confparm2
val4=$confparm3
val5=$confparm4

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

tmp0=!record 0 of table

val6=$(tmp0)
tmp=!translate internal $	$ to ; in $val6

tmp0=!rowcnt $tmp
val7=$[rint($(tmp0))]

!ifval $val2 notitemof 1,2,3,4
val2=$[rint(0)]
!endif

!ifval $val3 notitemof 1,2,3,4
val3=$[rint(0)]
!endif
val8=

!ifval $val4 issametext $val8 or $val4<7 or	 $val4>$val7
val4=$[rint(54)]
!endif
tmp0=!values x for x=1 to $val7

val9=$(tmp0)
tmp0=!listintersect $val5 and $val9

val5=$(tmp0)

!ifval $val2>0
val10=$[rint($val2)]
!else
tmp0=!randint 1, 4

val10=$[rint($(tmp0))]
!endif

!ifval $val3=$val2
val11=$[rint(0)]
!else
val11=$[rint($val3)]
!endif
tmp0=!listcomplement $val10 in 1,2,3,4

val12=$(tmp0)

!ifval \candouble issametext yes and $val10 != 1
val12=$val10,$val12
!endif

!ifval $val11>0 and $val11 isitemof $val12
val13=$[rint($val11)]
!else
tmp=!nonempty items $val12

tmp0=!randitem $tmp
val13=$[rint($(tmp0))]
!endif
val14=table1.gif
tmp0=!record 0 of table

val15=$(tmp0)
val6=$val15
val8=
!if $val5 notsametext $val8 and \selective notsametext no 
tmp=!translate internal $	$ to ; in $val6

tmp=!row $val5 of $tmp
tmp0=!translate internal $\
$ to ; in $tmp
val6=$(tmp0)
!endif
tmp=!translate internal $	$ to ; in $val6

tmp=!column 3 of $tmp
tmp0=!translate internal $\
$ to ; in $tmp
val16=$(tmp0)
tmp=!translate internal $	$ to ; in $val6

tmp=!column 2 of $tmp
tmp0=!translate internal $\
$ to ; in $tmp
val17=$(tmp0)
tmp=!translate internal $	$ to ; in $val6

tmp0=!rowcnt $tmp
val18=$[rint(min($val4,$(tmp0)))]
tmp0=!record 0 of position

val19=$(tmp0)
val20=$val19
val8=
!if $val5 notsametext $val8 and \selective notsametext no 
tmp=!translate internal $	$ to ; in $val20

tmp=!row $val5 of $tmp
tmp0=!translate internal $\
$ to ; in $tmp
val20=$(tmp0)
!endif
tmp=!translate internal $	$ to ; in $val20

tmp=!column 3 of $tmp
tmp0=!translate internal $\
$ to ; in $tmp
val16=$(tmp0)
tmp=!translate internal $	$ to ; in $val20

tmp=!column 2 of $tmp
tmp0=!translate internal $\
$ to ; in $tmp
val17=$(tmp0)
tmp=!translate internal $	$ to ; in $val20

tmp0=!rowcnt $tmp
val21=$[rint(min($val4,$(tmp0)))]
tmp0=!randint 1, $val18

val22=$[rint($(tmp0))]
val23=$(val6[$val22;])
tmp0=!item 1 of $val23

val22=$[rint($(tmp0))]
val24=$(val19[$val22;])
val25=$[rint(30)]
val26=$[rint(30)]
val27=$[rint($(val24[4])*$val25)]
val28=$[rint($(val24[3])*$val26)]

!ifval $(val24[3])>8
val28=$[rint($val28+5)]
!endif

!ifval $(val24[3])>8
val27=$[rint($val27+$val25*2)]
!endif
val29=
!for val30 =1 to $val7 
val29=$val29 r,$val27,$val28,$val27+$val25,$val28+$val26;
!if $val30=$val22 
val31=r,$val27,$val28,$val27+$val25,$val28+$val26
!endif
!next
val32=$(val23[$val13])

!ifval $val13=3
val32=$val32;$(val15[;3])
!endif
val33=número atómico, símbolo, nombre, masa atómica
val34=r1,r2,r3,r4
oefsteps=$(val34[$val13]) 
nextstep=!nosubst $(val34[$val13]) 
!readproc oef/steps.proc
replytype1=numeric
replyname1=El número atómico es
replygood1=$[$val32]
replytype2=case
replyname2=El símbolo es
replygood2=$val32
replytype3=nocase
replyname3=El nombre del elemento es
replygood3=$val32
replytype4=numeric
replyname4=La masa atómica es
replygood4=$[$val32]
question=__EXECUTED_1692754_EXERCISE__

!goto stat

!exit

:question
$()En la tabla periódica de los elementos mostrada más abajo,	una casilla está vacía. ¿Cuál es el/la $(val33[$val13]) del elemento	correspondiente a esa casilla?	<p><center>	 
!read oef/draw.phtml 600,360 \
	copy 0,0,-1,-1,-1,-1,$val14	frect $val27,$val28,$val27+$val25,$val28+$val26,black	 
$()	</center>	
$()
!exit

:hint
$()
$()
!exit

:help
$()
$()
!exit

:solution
$()
$()
!exit

:feedback

!exit

:test

!exit

:stat
vsavelist=1,13,14,25,26,27,28,33
embedcnt=0
